%if 0%{?el7}
%define dist .el7
%endif

Name:		cacti-plugins-monitor
Version:	1.3
Release:	4%{?dist}
Summary:	Simple Whats-Up-Gold replacement

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		Applications/System
License:	GPLv2
URL:		http://docs.cacti.net/
#Source0:	http://docs.cacti.net/_media/plugin:monitor-v1.3-1.tgz
Source0:	monitor-v1.3-1.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	cacti >= 0.8.8

%description
This plugin allows you to view at a glance all your Cacti hosts, and will alert you audibly when something is down

%prep
%setup -q -n monitor

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/monitor
%{__install} -m0644 *.php $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/monitor
%{__cp} -rp images sounds $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/monitor

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README monitor.sql
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_datadir}/cacti/plugins/monitor/*


%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.3-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.3-3
- Rebuilt for fc23

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 1.3-2
- Rebuilt for fc22

* Fri Apr 13 2012 momo-i <webmaster@momo-i.org> - 1.3-1
- Initial rpm release.
